import requests
from bs4 import BeautifulSoup


def get_auth_header(token_id, token_secret):
    return {"Authorization": "Token {}:{}".format(token_id, token_secret)}


def get_page_export_html(page_id, wiki_url, token_id, token_secret):
    headers = {}
    headers.update(get_auth_header(token_id, token_secret))

    r = requests.get(wiki_url + "/api/pages/{}/export/html".format(page_id), headers=headers)

    soup = BeautifulSoup(r.text, 'html.parser')
    elements = soup.find("code").text.strip().split("\n")
    headers = elements.pop(0).split(",")
    viewings = [dict(zip(headers, row.split(","))) for row in elements]

    return viewings
